For the complete documentation index, see llms.txt.

Orders
GET/api/orders/summary

List Orders Summary

Get a summary of orders by status

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/summary?order_status=shipped

Details

Get a summary of orders by status

Request Parameters

Parameter Description Example Value Accepted values
order_status order status to show order summary of shipped new, shipped, printed, archived
page page number 1 1, 2, 3, ...
page_size number of results to return (default: 500, maximum: 500) 500 1, 2, 3, ..., 500
filter See the Filters section on how to use this. Order:::1419

Order:1419,Country:::Australia
sort Order field to sort by. Order Address, Carrier, Name, Country, Date (order_date), Items, Manifest (manifest_number), Order (order_number), Product, Quantity, ShippedDate, ShippingDescription, ShippingMethod, SKU, StockOnHand, Platform, State, Status (order status), Weight, Writeback (writeback_status)
sort_direction Sort Direction Ascending Ascending, Descending

Order Summary Response

Attribute Type Description
orders list of orders List of orders
order_counts object stats on orders
errors object list List of detailed errors (Error Model) (only present if the request resulted in an error)

Response examples

List Orders Summary (200)
{
    "orders": [
        {
            "order_id": 400000001,
            "order_number": "1419",
            "contact_name": "Test test",
            "country": "Australia",
            "state": "NSW",
            "order_type": "Outgoing",
            "platform": "WooCommerce",
            "integration_id": 25,
            "order_status": 10,
            "carrier": "MyPostBusiness",
            "product": "B20",
            "weight": 0,
            "weight_unit": "kg",
            "valid_address": true,
            "quantity": "",
            "skus": "",
            "items": "",
            "soh": "",
            "manifest_number": 2630833,
            "manifest_sent": true,
            "writeback_status": "Up to date",
            "order_date": "2024-04-14T23:44:45",
            "shipped_date": "2024-04-18T04:43:49.9777195"
        }
    ],
    "order_counts": {
        "unprinted_count": 248,
        "printed_count": 62,
        "shipped_count": 68,
        "archived_count": 956,
        "archived_unshipped_count": 0,
        "archived_shipped_count": 956,
        "unprinted_invalidaddress_count": 14,
        "return_count": 17
    },
    "success": true
}
Complex filtering example (200)
{
    "orders": [
        {
            "order_id": 424687615,
            "order_number": "#1129",
            "contact_name": "test test",
            "country": "Australia",
            "state": "NSW",
            "order_type": "Outgoing",
            "platform": "Shopify",
            "integration_id": 557383,
            "order_status": "Delivered",
            "carrier": "PlainLabel",
            "product": "Plain Label",
            "weight": 0,
            "weight_unit": "kg",
            "valid_address": true,
            "quantity": "",
            "skus": "",
            "items": "",
            "soh": "",
            "manifest_number": 0,
            "manifest_sent": true,
            "writeback_status": "Up to date",
            "tracking_status": "Delivered",
            "order_date": "2024-04-23T22:45:48",
            "shipped_date": "2024-04-29T02:04:16.5098323"
        }
    ],
    "order_counts": {
        "unprinted_count": 248,
        "printed_count": 62,
        "shipped_count": 68,
        "archived_count": 956,
        "archived_unshipped_count": 0,
        "archived_shipped_count": 956,
        "unprinted_invalidaddress_count": 14,
        "return_count": 17
    },
    "success": true
}

Related endpoints